> For the complete documentation index, see [llms.txt](https://docs.ixhello.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ixhello.com/ixhc/general/edit-custom-apps/methods/data-source-salesforce/einstein.getanalyticsresources.md).

# Einstein.GetAnalyticsResources

This method is used to fetch all the available analytics resources like datasets,lenses,dashboards,etc.

#### Parameters:

This method does not require any parameter.

#### Sample Response:

Contact object has around 61 fields so this method will return you that much records, one record represents one field.

```json
{
 "dashboards": "/services/data/v49.0/wave/dashboards",
 "dataConnectorTypes": "/services/data/v49.0/wave/dataConnectorTypes",
 "dataConnectors": "/services/data/v49.0/wave/dataConnectors",
 "dataflowjobs": "/services/data/v49.0/wave/dataflowjobs",
 "datasets": "/services/data/v49.0/wave/datasets",
 "folders": "/services/data/v49.0/wave/folders",
 "lenses": "/services/data/v49.0/wave/lenses",
 "query": "/services/data/v49.0/wave/query",
 "recipes": "/services/data/v49.0/wave/recipes",
 "replicatedDatasets": "/services/data/v49.0/wave/replicatedDatasets",
 "schedules": "/services/data/v49.0/wave/watchlist/schedules",
 "templates": "/services/data/v49.0/wave/templates",
 "trendedreports": "/services/data/v49.0/wave/trendedreports"
}
```

###


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ixhello.com/ixhc/general/edit-custom-apps/methods/data-source-salesforce/einstein.getanalyticsresources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
